curl --request POST \
--url https://api.riskportal.activeviam.com/api/MarketData/GetEquityVolIndexVolSurfaces \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"$type": "Derivitec.Web.Core.MarketData.ApiGetEquityVolIndexVolSurfacesRequest, Derivitec.Web.Core",
"provider_id": "<string>",
"market_data_environment_names": [
"<string>"
],
"market_data_environment_name": "Example market data",
"identifiers": [
{
"$type": "Derivitec.Web.Core.MarketData.InstrumentIdentifier, Derivitec.Web.Core",
"code": "<string>",
"market_identification_code": "<string>"
}
],
"market_dates": [
"2023-11-07T05:31:56Z"
]
}
'import requests
url = "https://api.riskportal.activeviam.com/api/MarketData/GetEquityVolIndexVolSurfaces"
payload = {
"$type": "Derivitec.Web.Core.MarketData.ApiGetEquityVolIndexVolSurfacesRequest, Derivitec.Web.Core",
"provider_id": "<string>",
"market_data_environment_names": ["<string>"],
"market_data_environment_name": "Example market data",
"identifiers": [
{
"$type": "Derivitec.Web.Core.MarketData.InstrumentIdentifier, Derivitec.Web.Core",
"code": "<string>",
"market_identification_code": "<string>"
}
],
"market_dates": ["2023-11-07T05:31:56Z"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
$type: 'Derivitec.Web.Core.MarketData.ApiGetEquityVolIndexVolSurfacesRequest, Derivitec.Web.Core',
provider_id: '<string>',
market_data_environment_names: ['<string>'],
market_data_environment_name: 'Example market data',
identifiers: [
{
$type: 'Derivitec.Web.Core.MarketData.InstrumentIdentifier, Derivitec.Web.Core',
code: '<string>',
market_identification_code: '<string>'
}
],
market_dates: ['2023-11-07T05:31:56Z']
})
};
fetch('https://api.riskportal.activeviam.com/api/MarketData/GetEquityVolIndexVolSurfaces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.riskportal.activeviam.com/api/MarketData/GetEquityVolIndexVolSurfaces",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'$type' => 'Derivitec.Web.Core.MarketData.ApiGetEquityVolIndexVolSurfacesRequest, Derivitec.Web.Core',
'provider_id' => '<string>',
'market_data_environment_names' => [
'<string>'
],
'market_data_environment_name' => 'Example market data',
'identifiers' => [
[
'$type' => 'Derivitec.Web.Core.MarketData.InstrumentIdentifier, Derivitec.Web.Core',
'code' => '<string>',
'market_identification_code' => '<string>'
]
],
'market_dates' => [
'2023-11-07T05:31:56Z'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json-patch+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.riskportal.activeviam.com/api/MarketData/GetEquityVolIndexVolSurfaces"
payload := strings.NewReader("{\n \"$type\": \"Derivitec.Web.Core.MarketData.ApiGetEquityVolIndexVolSurfacesRequest, Derivitec.Web.Core\",\n \"provider_id\": \"<string>\",\n \"market_data_environment_names\": [\n \"<string>\"\n ],\n \"market_data_environment_name\": \"Example market data\",\n \"identifiers\": [\n {\n \"$type\": \"Derivitec.Web.Core.MarketData.InstrumentIdentifier, Derivitec.Web.Core\",\n \"code\": \"<string>\",\n \"market_identification_code\": \"<string>\"\n }\n ],\n \"market_dates\": [\n \"2023-11-07T05:31:56Z\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.riskportal.activeviam.com/api/MarketData/GetEquityVolIndexVolSurfaces")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"$type\": \"Derivitec.Web.Core.MarketData.ApiGetEquityVolIndexVolSurfacesRequest, Derivitec.Web.Core\",\n \"provider_id\": \"<string>\",\n \"market_data_environment_names\": [\n \"<string>\"\n ],\n \"market_data_environment_name\": \"Example market data\",\n \"identifiers\": [\n {\n \"$type\": \"Derivitec.Web.Core.MarketData.InstrumentIdentifier, Derivitec.Web.Core\",\n \"code\": \"<string>\",\n \"market_identification_code\": \"<string>\"\n }\n ],\n \"market_dates\": [\n \"2023-11-07T05:31:56Z\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.riskportal.activeviam.com/api/MarketData/GetEquityVolIndexVolSurfaces")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"$type\": \"Derivitec.Web.Core.MarketData.ApiGetEquityVolIndexVolSurfacesRequest, Derivitec.Web.Core\",\n \"provider_id\": \"<string>\",\n \"market_data_environment_names\": [\n \"<string>\"\n ],\n \"market_data_environment_name\": \"Example market data\",\n \"identifiers\": [\n {\n \"$type\": \"Derivitec.Web.Core.MarketData.InstrumentIdentifier, Derivitec.Web.Core\",\n \"code\": \"<string>\",\n \"market_identification_code\": \"<string>\"\n }\n ],\n \"market_dates\": [\n \"2023-11-07T05:31:56Z\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"$type": "Derivitec.Web.Core.MarketData.ApiGetEquityVolIndexVolSurfacesResponse, Derivitec.Web.Core",
"is_success": true,
"error_messages": [
"<string>"
],
"equity_vol_index_vol_surfaces": [
{
"$type": "Derivitec.Web.Core.MarketData.EquityVolIndexVolSurface, Derivitec.Web.Core",
"provider_id": "<string>",
"derivitec_created": "<string>",
"derivitec_modified": "<string>",
"uploaded_date_time": "<string>",
"derivitec_modified_by": "<string>",
"uploaded_by": "<string>",
"rolled": false,
"benchmark_fwd_factors": [
123
],
"benchmark_maturities": [
123
],
"call_wings": [
123
],
"put_wings": [
123
],
"reference_date": "2023-11-07T05:31:56Z",
"skews": [
123
],
"smiles": [
123
],
"spot_ref": 123,
"vols": [
123
],
"eq_vol_index_id": {
"$type": "Derivitec.Web.Core.MarketData.InstrumentIdentifier, Derivitec.Web.Core",
"code": "<string>",
"identifier_type": "Derivitec",
"market_identification_code": "<string>"
}
}
]
}Retrieve equity-volatility-index surfaces.
Use this operation to retrieve complete volatility surfaces for equity volatility indexes on requested market dates within the caller’s authorised provider scopes. Unsupported identifiers and missing surfaces are reported while other available surfaces can still be returned; no market data is modified.
curl --request POST \
--url https://api.riskportal.activeviam.com/api/MarketData/GetEquityVolIndexVolSurfaces \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"$type": "Derivitec.Web.Core.MarketData.ApiGetEquityVolIndexVolSurfacesRequest, Derivitec.Web.Core",
"provider_id": "<string>",
"market_data_environment_names": [
"<string>"
],
"market_data_environment_name": "Example market data",
"identifiers": [
{
"$type": "Derivitec.Web.Core.MarketData.InstrumentIdentifier, Derivitec.Web.Core",
"code": "<string>",
"market_identification_code": "<string>"
}
],
"market_dates": [
"2023-11-07T05:31:56Z"
]
}
'import requests
url = "https://api.riskportal.activeviam.com/api/MarketData/GetEquityVolIndexVolSurfaces"
payload = {
"$type": "Derivitec.Web.Core.MarketData.ApiGetEquityVolIndexVolSurfacesRequest, Derivitec.Web.Core",
"provider_id": "<string>",
"market_data_environment_names": ["<string>"],
"market_data_environment_name": "Example market data",
"identifiers": [
{
"$type": "Derivitec.Web.Core.MarketData.InstrumentIdentifier, Derivitec.Web.Core",
"code": "<string>",
"market_identification_code": "<string>"
}
],
"market_dates": ["2023-11-07T05:31:56Z"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
$type: 'Derivitec.Web.Core.MarketData.ApiGetEquityVolIndexVolSurfacesRequest, Derivitec.Web.Core',
provider_id: '<string>',
market_data_environment_names: ['<string>'],
market_data_environment_name: 'Example market data',
identifiers: [
{
$type: 'Derivitec.Web.Core.MarketData.InstrumentIdentifier, Derivitec.Web.Core',
code: '<string>',
market_identification_code: '<string>'
}
],
market_dates: ['2023-11-07T05:31:56Z']
})
};
fetch('https://api.riskportal.activeviam.com/api/MarketData/GetEquityVolIndexVolSurfaces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.riskportal.activeviam.com/api/MarketData/GetEquityVolIndexVolSurfaces",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'$type' => 'Derivitec.Web.Core.MarketData.ApiGetEquityVolIndexVolSurfacesRequest, Derivitec.Web.Core',
'provider_id' => '<string>',
'market_data_environment_names' => [
'<string>'
],
'market_data_environment_name' => 'Example market data',
'identifiers' => [
[
'$type' => 'Derivitec.Web.Core.MarketData.InstrumentIdentifier, Derivitec.Web.Core',
'code' => '<string>',
'market_identification_code' => '<string>'
]
],
'market_dates' => [
'2023-11-07T05:31:56Z'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json-patch+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.riskportal.activeviam.com/api/MarketData/GetEquityVolIndexVolSurfaces"
payload := strings.NewReader("{\n \"$type\": \"Derivitec.Web.Core.MarketData.ApiGetEquityVolIndexVolSurfacesRequest, Derivitec.Web.Core\",\n \"provider_id\": \"<string>\",\n \"market_data_environment_names\": [\n \"<string>\"\n ],\n \"market_data_environment_name\": \"Example market data\",\n \"identifiers\": [\n {\n \"$type\": \"Derivitec.Web.Core.MarketData.InstrumentIdentifier, Derivitec.Web.Core\",\n \"code\": \"<string>\",\n \"market_identification_code\": \"<string>\"\n }\n ],\n \"market_dates\": [\n \"2023-11-07T05:31:56Z\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.riskportal.activeviam.com/api/MarketData/GetEquityVolIndexVolSurfaces")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"$type\": \"Derivitec.Web.Core.MarketData.ApiGetEquityVolIndexVolSurfacesRequest, Derivitec.Web.Core\",\n \"provider_id\": \"<string>\",\n \"market_data_environment_names\": [\n \"<string>\"\n ],\n \"market_data_environment_name\": \"Example market data\",\n \"identifiers\": [\n {\n \"$type\": \"Derivitec.Web.Core.MarketData.InstrumentIdentifier, Derivitec.Web.Core\",\n \"code\": \"<string>\",\n \"market_identification_code\": \"<string>\"\n }\n ],\n \"market_dates\": [\n \"2023-11-07T05:31:56Z\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.riskportal.activeviam.com/api/MarketData/GetEquityVolIndexVolSurfaces")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"$type\": \"Derivitec.Web.Core.MarketData.ApiGetEquityVolIndexVolSurfacesRequest, Derivitec.Web.Core\",\n \"provider_id\": \"<string>\",\n \"market_data_environment_names\": [\n \"<string>\"\n ],\n \"market_data_environment_name\": \"Example market data\",\n \"identifiers\": [\n {\n \"$type\": \"Derivitec.Web.Core.MarketData.InstrumentIdentifier, Derivitec.Web.Core\",\n \"code\": \"<string>\",\n \"market_identification_code\": \"<string>\"\n }\n ],\n \"market_dates\": [\n \"2023-11-07T05:31:56Z\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"$type": "Derivitec.Web.Core.MarketData.ApiGetEquityVolIndexVolSurfacesResponse, Derivitec.Web.Core",
"is_success": true,
"error_messages": [
"<string>"
],
"equity_vol_index_vol_surfaces": [
{
"$type": "Derivitec.Web.Core.MarketData.EquityVolIndexVolSurface, Derivitec.Web.Core",
"provider_id": "<string>",
"derivitec_created": "<string>",
"derivitec_modified": "<string>",
"uploaded_date_time": "<string>",
"derivitec_modified_by": "<string>",
"uploaded_by": "<string>",
"rolled": false,
"benchmark_fwd_factors": [
123
],
"benchmark_maturities": [
123
],
"call_wings": [
123
],
"put_wings": [
123
],
"reference_date": "2023-11-07T05:31:56Z",
"skews": [
123
],
"smiles": [
123
],
"spot_ref": 123,
"vols": [
123
],
"eq_vol_index_id": {
"$type": "Derivitec.Web.Core.MarketData.InstrumentIdentifier, Derivitec.Web.Core",
"code": "<string>",
"identifier_type": "Derivitec",
"market_identification_code": "<string>"
}
}
]
}Authorizations
OAuth2 access-token requested from AWS Cognito and provided as a Auth Bearer header
Body
The query payload. Supply non-empty volatility-index Identifiers and date-only MarketDates; provider and environment fields determine the authorised source scopes.
Queries volatility surfaces for equity-volatility indexes across market dates.
Derivitec.Web.Core.MarketData.ApiGetEquityVolIndexVolSurfacesRequest, Derivitec.Web.Core Opaque identifier of a single market-data provider to use instead of either environment-name option.
Access classification associated with the selected market-data environment.
view, edit, owner, blocked Names of the market-data environments to use. Do not combine this list with the single-name or provider-ID alternatives.
Single market-data environment name to use instead of market_data_environment_names or provider_id.
"Example market data"
Instrument selectors whose equity volatility index volatility surfaces are requested.
Instrument code qualified by an identifier namespace and optional market code.
- Option 1
- Option 2
Show child attributes
Show child attributes
Market dates on which equity volatility index volatility surfaces are requested.
Response
Returns available equity-volatility-index surfaces and any invalid-provider, unsupported-identifier, missing-surface, or retrieval errors.
Returns equity-volatility-index surfaces and query errors.
Derivitec.Web.Core.MarketData.ApiGetEquityVolIndexVolSurfacesResponse, Derivitec.Web.Core Whether the operation completed successfully. The default is true; error outcomes set it to false.
true
Messages explaining operation-level failures. The collection is empty by default.
Equity-volatility-index surfaces returned by the query.
Show child attributes
Show child attributes
Was this page helpful?